Bug Hunting Session
Bug 125303 - Autofit text function is not visible any more in mouse right click menu
Summary: Autofit text function is not visible any more in mouse right click menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.4.1 rc
Hardware: All All
: high major
Assignee: andreas_k
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: ImpressDraw-Toolbars
  Show dependency treegraph
 
Reported: 2019-05-15 10:35 UTC by andis.lazdins
Modified: 2019-05-17 11:29 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file with Autofit text parameter activated in Libreoffice 6.1.6 and recognized by 6.2.4 (11.96 KB, application/vnd.oasis.opendocument.presentation)
2019-05-15 10:38 UTC, andis.lazdins
Details
Just to remind Autofit Text menu - where it was in Libreoffice 6.1.6 (23.23 KB, image/png)
2019-05-15 11:23 UTC, andis.lazdins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andis.lazdins 2019-05-15 10:35:41 UTC
Description:
Autofit text function is not visible any more in the mouse right-click menu when text object is selected in Impress during slide editing. The previously (in earlier LibreOffice versions) set parameter for this function is recognized.

Steps to Reproduce:
1. Open attached file.
2. Select text object in the slide
3. Right mouse click to see the menu

Actual Results:
No menu entries called Autofit text is appearing in the menu, it also can't be found in other settings. 

Expected Results:
One of menu entries is Autofit text which can be selected to shrink text in case if it is larger than frame.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 andis.lazdins 2019-05-15 10:38:15 UTC
Created attachment 151430 [details]
Sample file with Autofit text parameter activated in Libreoffice 6.1.6 and recognized by 6.2.4
Comment 2 Roman Kuznetsov 2019-05-15 10:59:19 UTC
Heiko, do you remember Autofit text item in Impress context menu?
Comment 3 andis.lazdins 2019-05-15 11:23:15 UTC
Created attachment 151431 [details]
Just to remind Autofit Text menu - where it was in Libreoffice 6.1.6
Comment 4 Maxim Monastirsky 2019-05-15 11:47:58 UTC
It appears that Andreas removed it in https://cgit.freedesktop.org/libreoffice/core/commit/?id=bd96f02f51ccaa6ad02f459b07f810d23c868f98

I'm for bringing it back, as there is no other place in the UI where this feature can be toggled.
Comment 5 andreas_k 2019-05-15 11:51:00 UTC
will be added, sorry and thanks for the bug report.
Comment 6 andreas_k 2019-05-15 11:56:39 UTC
when I rework the popup menus it look like TextAutoFitToSize didn't work, so I removed it.
Comment 7 Commit Notification 2019-05-15 13:40:45 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3490c872802b52758b7fd60e6b4530fbb5248fbf%5E%21

tdf#125303 bring back Autofit to textbox command

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-05-16 14:11:58 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f606b0e48b5230a79ac93dc9b64e6e09f64af7db%5E%21

tdf#125303 bring back Autofit to textbox command

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-05-16 15:13:27 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-4":

https://git.libreoffice.org/core/+/dd42098eb28957aa116efabf971dd563503cd3c2%5E%21

tdf#125303 bring back Autofit to textbox command

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-05-17 11:29:20 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: 4c2034b808fed4f9dfd715d8a4813e788a7e97a4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Andreas, thanks for fixing this issue!